gnome-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. The types of files a GNOME application needs to access. Many of the files that a GNOME application needs to access will be installed in standard locations. For example, GNOME help files will be in one location, while help files specific to the current application might be in another location. The different types of files are given in this enum. User applications make use of the App* types, which specify locations relative to AppDatadir. System.Enum System.IComparable System.IConvertible System.IFormattable
- Field
  Gnome.FileDomain An unknown file domain (should never be used).
- Field
  Gnome.FileDomain Libraries in the main GNOME installation.
- Field
  Gnome.FileDomain Data files in the main GNOME installation.
- Field
  Gnome.FileDomain Sound files in the main GNOME installation.
- Field
  Gnome.FileDomain Pixmap files in the main GNOME installation.
- Field
  Gnome.FileDomain Config files in the main GNOME installation.
- Field
  Gnome.FileDomain Help files in the main GNOME installation.
- Field
  Gnome.FileDomain Application specific libraries.
- Field
  Gnome.FileDomain Application specific data files.
- Field
  Gnome.FileDomain Application specific sound files.
- Field
  Gnome.FileDomain Application specific pixmap files.
- Field
  Gnome.FileDomain Application specific config files.
- Field
  Gnome.FileDomain Application specific help files.
- Field
  System.Int32 Internal field. Do not use.